# PCLinuxOS Copyright by Bill Reynolds (Texstar)

%define name			gimp-scripts
%define version		1.0
%define release		%mkrel 1

Name:			%{name}
Version:		%{version}
Release:		%{release}
Source0: 		 %{name}-%{version}.tar.xz
Summary: 		 Gimp scripts and plugins collection
URL: 			 http://registry.gimp.org
License: 		 GPL
Group: 			 Graphics
BuildArch:		 noarch
BuildRoot: 		 %_tmppath/%{name}-%{version}
Requires: 		 gimp, gimp-python, %{_lib}gimp2.0_0

%description
A collection of scripts and plug-ins from GIMP Plugin Registry. Included in the package are the following

Scripts:
    - 3DScreenshot.scm [Script-Fu/Utils/3D Screenshot]. Creates a stylish decoration for a screenshot.
    - bloom.scm [Filters/Light and Shadow/Bloom...]. Adds lightblurring to the image.
    - CarTOONize.scm [Filters/Artistic/CarTOONize...]. Take a standard RGB or Grayscale picture, and cartoonize it.
    - chrominium.scm [File/Create/Logos]. Creates a Chrome effect with gradient shadow.
    - comicbook.scm [Filters/Artistic/Comic-Book1...]. Creates a Comic Book Effect.
    - comicbook.scm [Filters/Artistic/Comic-Book2...]. Creates a Comic Book Effect.
    - dm-gen-1.2.1.scm [Script-Fu/Map/Water reflection map]. Generates new image with displacement map. Can be used later for water reflection generation.
    - hdr-eff-plus.scm [Script-Fu/Enhance/Fake HDR Effect plus...]. Make a photo to fake HDR with GIMP
    - hdr-eff.scm [Script-Fu/Enhance/Fake HDR Effect...]. Make a photo to fake HDR with GIMP
    - imagewatermark.scm [Script-Fu/Utils/ImageWatermark]. Write a watermark in a corner of the image
    - pencil-drawing-from-photo.scm [Script-Fu/Artistic/Pencil drawing ..]. To create pencil drawing from photographic image.
    - planet-render1-2.scm [File/Create/Misc]. Creates a planet.(Color, size and sun orientation can be set).
    - quick-sketch_1.scm [Script-Fu/Artistic/Quick sketch...]. Create a sketch from a photo.
    - rays-of-light.scm [Filters/Alpha to Logo]. Add radiating rays of light to alpha.
    - StarScape_2_6.scm [File/Create/Render/Star Scape...]. Draw a StarScape with a determined color, density and size
    - svg-path-export_0.scm [Script-Fu/Utils/SVG Export...]. Replacement for the <Path>/Export Path... which also generates a SVG file but one that does not allow the specification of path attributes such as stroke and fill colour, or specific shape types.
    - textwatermark.scm [Script-Fu/Utils/TextWatermark]. Write a watermark in a corner of the image.
    - wm-text [File/Create/Photo Watermark and Images/Filter/Render/Photo Watermark]. A hidden watermark to protect your photos.

Plug-ins:
    - feca_hdr.py [Python-Fu/Render/HDR tone mapping]. High dynamic range with tone mapping
    - layerfx.2.8.py [Layer/Layer Effects]. A series of scripts that implement various layer effects.
    - layer-via-copy-cut.py [Layer/Layer via Copy]. Copy and move the selected area to a new layer in the same position.
    - layer-via-copy-cut.py [Layer/Layer via Cut]. Copy and move the selected area to a new layer in the same position.

%prep
%__rm -rf $RPM_BUILD_DIR/%{name}-%{version}
%setup -q -n %{name}-%{version}

%install
%__rm -rf $RPM_BUILD_ROOT
cp -fR $RPM_BUILD_DIR/%{name}-%{version} $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%_datadir/gimp/2.0/gimp-scripts-description.txt
%_datadir/gimp/2.0/scripts/3DScreenshot.scm
%_datadir/gimp/2.0/scripts/bloom.scm
%_datadir/gimp/2.0/scripts/CarTOONize.scm
%_datadir/gimp/2.0/scripts/chrominium.scm
%_datadir/gimp/2.0/scripts/comicbook.scm
%_datadir/gimp/2.0/scripts/dm-gen-1.2.1.scm
%_datadir/gimp/2.0/scripts/hdr-eff-plus.scm
%_datadir/gimp/2.0/scripts/hdr-eff.scm
%_datadir/gimp/2.0/scripts/imagewatermark.scm
%_datadir/gimp/2.0/scripts/pencil-drawing-from-photo.scm
%_datadir/gimp/2.0/scripts/planet-render1-2.scm
%_datadir/gimp/2.0/scripts/quick-sketch_1.scm
%_datadir/gimp/2.0/scripts/rays-of-light.scm
%_datadir/gimp/2.0/scripts/StarScape_2_6.scm
%_datadir/gimp/2.0/scripts/svg-path-export_0.scm
%_datadir/gimp/2.0/scripts/textwatermark.scm
%_datadir/gimp/2.0/scripts/wm-text.scm
%_datadir/gimp/2.0/plug-ins/feca_hdr.py
%_datadir/gimp/2.0/plug-ins/layerfx.2.8.py
%_datadir/gimp/2.0/plug-ins/layer-via-copy-cut.py

%changelog
* Sun Jan 27 2013 kjpetrie <pclos dot bugs at kjpetrie dot co dot uk> 1.0-1pclos2013
- Requires _lib macro for 32/64-bit compatibility
- BuildArch noarch

* Tue Aug 21 2012 Neal <nealbrks0 at gmail dot com> 246c-1pclos2012
- process

* Mon Aug 20 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 246c-1_archie_2012
- create package
